[i945] (Needs UXA) Kubuntu Jaunty Intel 945 GM - Poor sluggish graphics performance in Kate text, etc.

Bug #342923 reported by Musthafa Meeran on 2009-03-14
136
This bug affects 19 people
Affects Status Importance Assigned to Milestone
kdebase-workspace (Ubuntu)
Undecided
Unassigned
Declined for Jaunty by Rick Spencer
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned
Declined for Jaunty by Rick Spencer

Bug Description

Binary package hint: xserver-xorg-video-intel

After upgrading from Intrepid to Jaunty recently, I found that the general graphics performance is poor.

* With desktop effects on, window switching & minimize/maximize are horribly slow and sluggish. Switching off desktop effects help a bit, but still the following problems remain.
* The screen refresh is very poor and sometimes leaves the traces of other windows in the current windows !
* Selecting text in Kate seems to cause a late refresh and the texts realign themselves after selecting - again screen refresh

None of this used to happen in Intrepid with KDE 4.2. Unfortunately, since I have upgraded, I couldn't get the log files from Intrepid, where it was working fine !

Through ubuntuforums I learnt about UXA. After enabling UXA ('Option "AccelMethod" "uxa"' in xorg.conf 'Device' section), all the above problems were gone and it worked just fine as in Intrepid !! But there are other problems like frequent system freezes and all (https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/342675) with UXA.

HP/Compaq nc6400 laptop

$ lsb_release -rd
Description: Ubuntu jaunty (development branch)
Release: 9.04

$ uname -a
Linux <hostname> 2.6.28-9-generic #31-Ubuntu SMP Wed Mar 11 15:43:58 UTC 2009 i686 GNU/Linux

$ glxinfo | grep render
get fences failed: -1
param: 6, val: 0
direct rendering: Yes
OpenGL renderer string: Mesa DRI Intel(R) 945GM GEM 20090114 x86/MMX/SSE2

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03)

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-intel 2:2.6.1-1ubuntu4
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_IN
 SHELL=/bin/bash
ProcVersion: Linux version 2.6.28-9-generic (buildd@palmer) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu2) ) #31-Ubuntu SMP Wed Mar 11 15:43:58 UTC 2009
SourcePackage: xserver-xorg-video-intel
Uname: Linux 2.6.28-9-generic i686

I have xserver-xorg-video-intel/jaunty uptodate 2:2.6.3-0ubuntu1 installed today, but still it doesn't seem to fix the slow performance issues with my Intel 945 GM.

So, I have to re-enable UXA again to make my Kubuntu Jaunty usable.

I just noticed that glxgears with UXA gives around 250 FPS.
If I don't use UXA (i.e using default configuration), I get around 1100 FPS !!
So, I doubt know why there slow performance issues with the default configuration.

This seems very strange to me, because enabling UXA fixes the slow performance issues with my desktop effects (like slow window switch, minimize/maximize effects etc) !!

Thanks a lot...

HeWhoE (hewhoe) wrote :

Is there any way to go back to the old i810 driver? I've suffered video performance issues ever since the option of i810 was taken away.

With Hardy, I still had the option of switching back to i810, and I did. Then, when Intrepid rolled along, i810 disappeared, and a transitional package has masqueraded in its place ever since.

Just tried out the latest gnome in Kubuntu Jaunty.
All the issues that I have mentioned are not present in gnome !! The compiz window manager is lightning fast and I didn't notice any kind of sluggishness or poor performance.

So this looks like an issue with the KWin window manager/desktop effects and I am not sure whether this is related to my video driver, since it is working fine in gnome.

Please note that I tried both gnome/kde without using UXA.
KWin problems seem to be solved only when UXA is enabled. But as I mentioned before, there are some critical issues with UXA which cause system freezes frequently.

Could you please look into this problem also considering the above points ?

Thanks a lot...

Bryce Harrington (bryce) on 2009-03-24
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed

I can confirm the same behaviour on my Sony VGN-FE670G which also uses the intel 945GM chipset.
I upgraded to kubuntu Jaunty from 8.10 kde4.2 and have now poor graphic performance.
Booting from the live Kubuntu 9.04 CD gives same results.
Performance are normal with the live GNOME ubuntu 9.04 CD.
I'm not a linux expert, so that's all I can contribute but let me know if you think you could use the output of some command.

Shawn (rede-shaw) wrote :

I can confirm that this bug exists with an Intel card but not NVidia. Also can confirm that running with UXA eliminates the problem, but that causes frequent system hang/crashes.

I also tried upgrading from the Beta with the Ubuntu Edgers repo enabled but that produced no change in behavior. UXA continued to cause system hangs and performance without UXA enabled remained sluggish.

Andrew M (andrew-mason) wrote :

I have enabled UXA also and while the performance problems are significantly reduced, I would not say they are gone. It's still sluggish compared to intrepid on my x4500 ( IBM thinkpad X200 ).

It has not been unstable for me with UXA however there are some other issues which I shall place in another bug report.

brown (arun-apc) wrote :

i'm new to Linux and i have the exact same problem.
Can someone please give the steps to enable UXA. Please...

lispy (janietz) wrote :

Yup. Can confirm this. It's sluggish on my Dell M1330 intel965. I also enabled UXA. Intrepid was really good. EXA is really slow whereas UXA is okayish but give weird effects with compiz light slow fading out.

For brown:
In a terminal type:
sudo gedit /etc/X11/xorg.conf
change the line that reads:
Option "AccelMethod" "EXA"
to
Option "AccelMethod" "UXA" and reboot.

Good luck and don't expect too much!

Below are some of the links where Intel graphics users complain about the same problem.
Since Intel graphics cards are the default in majority of the chipsets, this problem would affect a wide variety of users. I will change the subject to make it generic, by removing my laptop model.

So, I think this bug should be taken on priority and fixed as soon as possible.
I would be very very happy to see a fix before the final release !!

http://kubuntuforums.net/forums/index.php?topic=3101638.0
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/314914
https://wiki.edubuntu.org/JauntyJackalope/Beta/Kubuntu/Feedback (in the feeback section)
http://ubuntuforums.org/showthread.php?p=6988588

Thanks a lot...

summary: - Kubuntu Jaunty Intel 945 GM - Poor sluggish graphics performance on
- HP/Compaq nc6400 laptop
+ Kubuntu Jaunty Intel 945 GM - Poor sluggish graphics performance
Bryce Harrington (bryce) on 2009-04-03
summary: - Kubuntu Jaunty Intel 945 GM - Poor sluggish graphics performance
+ (Needs UXA) Kubuntu Jaunty Intel 945 GM - Poor sluggish graphics
+ performance in Kate text, etc.

This wouldn't be an issue with anything in the kdebase-workspace package.

Changed in kdebase-workspace (Ubuntu):
status: New → Invalid
H.i.M (hir-i-mogul-gmail) wrote :

Why is the importance of this bug not at "high"?

Kubuntu is UNUSABLE without UXA. Iam not the only one who has got an intelcard in his notebook!
Everyone knows, that such chips are the most frequently used in notebooks.
I really cant understand, why this is not fixed after MONTHs. Its not a suprise today, but was known since ther very first alpha of Jaunty. I dont want to use my 1300€ notebook just as paperweight(!)

I am just very dissapointed...
H.i.M

Michael Ummels (urmel291) wrote :

Since there seems to be no problem with EXA under Compiz/Gnome, it seems to me that this is also an issue with kwin (which lies in the kdebase-workspace source packages).

I agree that the importance of this bug should be set to high. Kubuntu Jaunty is indeed barely usable with Intel graphics unless UXA is activated.

UXA is not going to be enabled by default in Jaunty, since it is not stable.
In my case, I am experiencing frequent X freezes.
So, to stress the point, using UXA is out of question, atleast for now.

If this bug can't be fixed before the final release, I would suggest going
back to the older versions of the driver packages where it was working fine
!!

It is very important that the desktop should be usable, by the time the
release happens. Otherwise, users would be forced to switch back to older
versions like Intrepid !!

Is there any way we can make this bug get better attention?

Hint from bug 359600 helped in my case. Not sure if something like this could be enabled by default.

Shawn (rede-shaw) wrote :

I followed the hint mentioned above by Luca from bug 359600 and disabled uxa then added these lines in xorg:

        Option "AccelMethod" "EXA"
        Option "MigrationHeuristic" "greedy"

While it did boost performance somewhat, it was still very sluggish.

Alvin (alvind) wrote :

I tried it too, but performance went down a lot, so this doesn't help everyone.

Are these bugs just dupes of 339555?

We would like to fix this if at all possible. Note that for Jaunty we have intentionallt chosen to favor stability over performance for the impacted chips by defaulting to EXA. The two know workarounds for Jaunty are:
1. Disable desktop effects or
2. Enable UXA and see if UXA is stable in your scenarios.

Adrian D (grosem) wrote :

Well, both solutions are not satisfactory.

Having an unusable slow desktop or one who crashes once a day? Great...
It's not like EXA is really an option as it makes working really slow.

> 1. Disable desktop effects or

Doesn't help much, still KDE is very slow compared to Intrepid, (like
slow refresh during application switch). Also, has issues with poor
screen refresh and overlay of parts of plasma-widgets/applications
over other applications like Kate, Kmail (comment #2) etc, which are
still not resolved.

> 2. Enable UXA and see if UXA is stable in your scenarios.

Seems to solve the performance/screen refresh problems mentioned
above. But performance is not as good as in Intrepid. Mainly, it has
stability issues (Bug #342675) which prevent me from enabling it.

So, both these workarounds doesn't help in my case !!

I am not sure if this bug is a duplicate of bug #339555. The below
points might be of help.

* I just tried Gnome Jaunty and found it to be usable & faster
compared to KDE. Gnome compiz effects are slower but acceptable,
except for the application switch & show desktop, which are horribly
slow !!
* Disabling desktop effects in Gnome has the same problems as I
mentioned for (1) like poor screen refresh etc.
* So, I was wrong in comment #8 to say that gnome was working fine,
but it is noticeably faster compared to Kwin, even though not as fast
as in Intrepid.

Looks like the latest intel driver is in very poor unusable state for
my chipset Intel 945 GM !!!

Please let me any information you need from me regarding this and I
will provide them as soon as I can.

Thanks a lot...

> Option "AccelMethod" "EXA"
> Option "MigrationHeuristic" "greedy"
>
> While it did boost performance somewhat, it was still very sluggish.

I just tried this out and I agree with Shawn's comments that it is still very sluggish.

noisymime (josh-noisymime) wrote :

> 1. Disable desktop effects or
This does not solve the issue for me. With effects off I still get terrible screen refresh noticeable most when switching desktops and when scrolling in apps like Firefox.

> 2. Enable UXA and see if UXA is stable in your scenarios.
Not possible on my system. Enabling UXA causes the X server to crash when trying to load so can't even get to a kdm logon screen.

> Option "AccelMethod" "EXA"
> Option "MigrationHeuristic" "greedy"
I also tried these options but they caused major visual corruption when trying to enable a 2nd monitor using xrandr after logon.

Whilst I understand the sentiment that the priority is a working desktop rather than performance, the speed this reduces a system to make it practically unusable as an everyday environment. Similar to others above, I was running KDE 4.2 under Intrepid and had no such issues, so this is likely a problem between kwin and the newer intel driver.

> > Option "AccelMethod" "EXA"
> > Option "MigrationHeuristic" "greedy"
>
> I also tried these options but they caused major visual corruption when
> trying to enable a 2nd monitor using xrandr after logon.

I set up these options and I use an external 2nd monitor and it works ok, but
it does corrupt horribly at the kdm login screen right up until the resolution
gets set properly by krandrtray.

> Whilst I understand the sentiment that the priority is a working desktop
> rather than performance, the speed this reduces a system to make it
> practically unusable as an everyday environment. Similar to others
> above, I was running KDE 4.2 under Intrepid and had no such issues, so
> this is likely a problem between kwin and the newer intel driver.

I agree fully with this.

I am installing Mandriva 2009.1 rc2, and it gives me the option, Use EXA in place of XAA ( Better performance for rendering and composite )

So that means EXA would be better? I dont know wgat UXA is, but Mandriva has reputation off one off the best hardware support under Linux.

Andrew Mason (slackmase2) wrote :

My X4500 is also still fairly sluggish compared to intrepid with UXA/DRI2. Tried out Fedora 11 Beta for comparison which performed like intrepid did. I'm not sure what the difference in their stack is or if that bit of information is in anyway helpful. I am happy to reinstall it and gather information if it would help.

@Rick Spencer
If the 'offical' stance is that unless you add the magic two lines (or one line, or whatever the fix is) to Xorg's config file KDE will suck in Jaunuty, this should be done *by the upgrade system*, otherwise the user experience will be 'the upgrade broke my system'.

Andrew Mason (slackmase2) wrote :

Hi have the 'magic' line, to enable UXA. It does make a significant difference but the performance is still sluggish. In comparison at least to Fedora 11 Beta which is afaik using X server 1.6. I am trying to work out the differences at the moment. Will write more when I have some answers.

Gnurou (gnurou) wrote :

I strongly suggest this issue to be addressed, one way or the other. Kubuntu has now reached RC status, and the user experience on Intel chipsets is just the worst one could have on Kubuntu (Intel 945GM). Without EXA or UXA performance is terrible or glitches appear. Enabling EXA slightly speeds things up but then I have more graphical glitches. Enabling UXA, X is not even able to start. What can a user do when Fedora 11 does not have these problems? This is a very serious issue.

Zack Evans (zevans23) wrote :

Totally agree with Gnurou. You can't release a version that's known bad without putting the workarounds in BY DEFAULT. However there might be light at the end of the tunnel (or buffer, or pipe :-) )

I pulled new libdrm packages yesterday, to go from 2.4.6 to 2.4.9 - didn't fix it, exactly the same range of symptoms under various kernel and EXA or UXA settings.

I then pulled some new mesa packages this morning. I am now on "7.4-0ubuntu2"...
...and I am running UXA and stable so far, couple of hours which is definitely a record.

I'm not going to say it's fixed until I get to the end of the day, but it does look like the latest mesa has fixed SOMETHING. Which is strange, because there's nothing in the change log that would indicate fixes to freeze conditions.

Zack Evans (zevans23) wrote :

Nope. UXA still freezes with 2.6.28-11. Still won't even give me a greeter with 2.6.30RC2.

Since RC is already released and the issue is still there, I think
there is almost no chance of getting it fixed before the final release
!!!

So, I have reverted back to Intrepid and I am happy now !

Users having these intel chipsets should be strongly discouraged from
upgrading/installing Jaunty 9.04, until there is a fix.
The known issues section of the release notes should mention this
problem (and possible temporary solutions like UXA, EXA etc).

I would suggest warning the intel chipset users by means of a 'Warning
Dialog' before the installation stage. I guess it would be prevent the
users from wasting their time, unless they want to experience the
problem for themselves !!

Gnurou (gnurou) wrote :

Thanks Michael - I reverted to the old driver as indicated in your link, got flawless performances, no apparent glitch, and it seems to be stable. Maybe this driver should be made the default for Jaunty?

Shipping the older driver version has got to be a serious thought, I think - at the moment the user experience on one of the most common embeded video chip sets will be 'Jaunty broke my system'.

Bartek (tschew) wrote :

I agree with Tom here. I have a G35 integrated chipset and found the same problems as reported here with regards to abysmal performance in compositing managers. In addition, switching to UXA simply does NOT work. The server reports not being able to find modes for the screen (see attached xorg.log). (Adding modelines does not help).

Bartek (tschew) wrote :

On the other hand, using the backport referred to by Micheal brings only small performance gains over the 2.6 driver on my hardware. (G35)

Tom Chiverton wrote:
> Shipping the older driver version has got to be a serious thought, I
> think - at the moment the user experience on one of the most common
> embeded video chip sets will be 'Jaunty broke my system'.
>
I agree, I installed Jaunty on my laptop, the good thing was that the
wireless started working for the first time! But the graphics are
sluggisch. I enabled UXA and it doesn't crash but it's slowish.

Ubuntu's demise will be that changes are pushed that are not ready for
release or break the system. Watch how many sysadmins reverted to Debian
  after the RAID debacle. It took 1.4 year to fix the bug that Ubuntu
introduced in RAID (the bug was never in Debian).
It was also never acknowledged as a failure.

I think there is a chance that after all these bug reports and people
that complain - people that took the effort of installing a prerelease
Jaunty and reporting bugs! Important people! ... that Canonical/Ubuntu
will still ship the shitty driver and just bad luck for those 10% of
customers. And that this will put off those people that took the effort
to participate.

So, concluding, I sincerely hope that 'they' will revert to the older
driver that worked splendidly under Intrepid. Or give a choice while
upgrading.

Cheers,

@Bartek: Absolute performance improvement is only one metric. The other side of the coin is that the new driver either sucks 30% of CPU, or uses an experimental graphics sub-system (UXA) that has problems all of its own for some (most ?) people. Given there is no benefit to the newer Intel X driver in and of itself, the older one should be retained (maybe offer a choice of the two at upgrade time).

Andrew Mason (slackmase2) wrote :

I am all for being part of the test group, and its great that they are working towards fixing X. Is it in any way possible that there could be ppa's made for the old intel drivers that make jaunty usable again for release day ? That way , even if its not by default, users can be directed to install these which would allow the majority of people to have the new drivers and go through testing, whilst the users who have problems can revert to the old driver until the team feels that the issue is resolved. Its a known issue so we don't really need to keep testing it right ?

Rick Spencer wrote:
> We would like to fix this if at all possible. Note that for Jaunty we have intentionallt chosen to favor stability over performance for the impacted chips by defaulting to EXA. The two know workarounds for Jaunty are:
> 1. Disable desktop effects or
> 2. Enable UXA and see if UXA is stable in your scenarios.
>

I read the release notes and they are pretty complete.

I am looking forward to a great release! Thanks to everyone involved in
moving forward!

Bryce Harrington (bryce) on 2009-04-24
summary: - (Needs UXA) Kubuntu Jaunty Intel 945 GM - Poor sluggish graphics
+ [i945] (Needs UXA) Kubuntu Jaunty Intel 945 GM - Poor sluggish graphics
performance in Kate text, etc.
Bartek (tschew) wrote :

I would like to retract my statement that UXA does not work on the G35. After switching to the latest kernel, X starts up fine and I haven't had any crashes yet. Graphics performance is still below par though.

Zack Evans (zevans23) wrote :

UXA is still far slower than EXA for me too. Are we using this bug to track the regression, or is there another bug for that with an importance and a milestone assigned? BOTH are unstable unless I switch on Greedy.

@Bartek: What version of the kernel are you now running - "latest" could mean a lot of things. :-)

Bartek (tschew) wrote :

My apologies, latest meant 2.6.28-11.42 while the "no modes found" error with UXA occured with a 2.6.27 series kernel (kms missing i believe?).

David Jobet (david-jobet) wrote :

Upgraded today from intrepid (graphics/compositing working fine under kwin) to jaunty.
Experienced the same kind of problem : sluggish. Kde even turned off the compositing itself after a few minutes.
Tried the old driver using this method : https://wiki.ubuntu.com/ReinhardTartler/X/RevertingIntelDriverTo2.4
It did not improve the situation for me.

I'll try the UXA thing a little bit later.

David Jobet (david-jobet) wrote :
Bryce Harrington (bryce) wrote :

I am disappointed by the tone of posters on this bug report; such conduct does not represent the Kubuntu community very well.

I had been keeping this bug report separate from other performance reports, in anticipation that something Kubuntu-specific could be done, but I think instead I'll lump this in with the other generic performance bug reports.

Confirming this bug on Asus EeePC 1002HA, "Intel Corporation Mobile 945GME Express Integrated Graphics Controller".

Upgrading from Kubuntu Intrepid + KDE 4.2 (PPA) to Jaunty severely broke KDE graphics.

First things I noticed were serious issues with graphics elements redrawing, i.e. KMail toolbar disappearing and showing desktop background instead until mouse is hovered on this zone, causing graphics elements to reappear.

Well, it was perfect in Intrepid + KDE 4.2, broke in Jaunty.

If I wear my "dummy user hat" this is unacceptable, and I'm considering ranting loud about general Ubuntu regressions at each and every new version.

I've been a Linux user and supporter since 10+ years and sometimes a little code contributor in the past. I'm now professionally managing parks of Linux machines as well as advising non-I.T. friends and relatives.

From both points of view it is completely unacceptable that when performing a version upgrade, oh, graphics get broke on this machine, sound is lost on that machine, fglrx driver doesn't exist anymore for ATI cards, KDE SSL certs support has been broke for the whole KDE 4.x branch and not fixed even if bugs reports have been made 10 months ago, kernel is now compiled without USB_persist, WPA2 isn't supported anymore in Jaunty, Xen Dom0 kernel is missing since Intrepid and on...

What the fsck is going on ?

A geek can live with that and spend 1 day trying to figure out ONE problem, dig into a config file, read forums, recompile kernel on ONE machine when upgrading, but how could a professional managing a park of machine stand to live with that at each upgrade ?
How could a professional tolerate that SSL certs support suddently disappears between KDE 3.x and 4.x and nothing is done in 10 months to fix it ?
And how could non-I.T. more or less clueless beginner users (at whom Ubuntu also aims) find acceptable losing sound or graphics and having no clue when they upgrade ?

I don't know what Ubuntu's doing but I'm starting to get really really angry at it generally speaking... I had to state it somewhere, now it's done in that bug report :-(

Except for unforeseen and unpredictable bugs, a version upgrade should never break anything that used to work, or something is seriously broke with the project management, period.

Bartek (tschew) wrote :

Keith Packard offers up a complete explanation of what's going on both in Xorg in general and the current intel driver in particular on his blog: http://keithp.com/blogs/Sharpening_the_Intel_Driver_Focus

> If I wear my "dummy user hat" this is unacceptable, and I'm considering
> ranting loud about general Ubuntu regressions at each and every new
> version.

I just want to let you know that I feel much the same way. Well put!

>
> I've been a Linux user and supporter since 10+ years and sometimes a
> little code contributor in the past. I'm now professionally managing
> parks of Linux machines as well as advising non-I.T. friends and
> relatives.
>
>>From both points of view it is completely unacceptable that when
> performing a version upgrade, oh, graphics get broke on this machine,
> sound is lost on that machine, fglrx driver doesn't exist anymore for
> ATI cards, KDE SSL certs support has been broke for the whole KDE 4.x
> branch and not fixed even if bugs reports have been made 10 months ago,
> kernel is now compiled without USB_persist, WPA2 isn't supported anymore
> in Jaunty, Xen Dom0 kernel is missing since Intrepid and on...
>
> What the fsck is going on ?
>
> A geek can live with that and spend 1 day trying to figure out ONE problem, dig into a config file, read forums, recompile kernel on ONE machine when upgrading, but how could a professional managing a park of machine stand to live with that at each upgrade ?
> How could a professional tolerate that SSL certs support suddently disappears between KDE 3.x and 4.x and nothing is done in 10 months to fix it ?
> And how could non-I.T. more or less clueless beginner users (at whom Ubuntu also aims) find acceptable losing sound or graphics and having no clue when they upgrade ?
>
> I don't know what Ubuntu's doing but I'm starting to get really really
> angry at it generally speaking... I had to state it somewhere, now it's
> done in that bug report :-(
>
> Except for unforeseen and unpredictable bugs, a version upgrade should
> never break anything that used to work, or something is seriously broke
> with the project management, period.
>

No matter how good the reason and explanations can be...

It's very good that the developpers of a given driver or package improve it, and it may result in occasional regressions and trouble.

But we're not talking about a driver's development but about a _major distribution_ and it's the responsibility of the packagers of a major distribution such as Ubuntu not to incorporate immature technologies resulting in end-user large and previsible regressions until the new version of this or that is mature.

Maybe keep the bleeding-edge incomplete packages to experimental repositories, clearly labeled as such so it's a choice and nobody's surprised.

When you professionally manage a park of heterogeneous machines and have to upgrade tens of them, you simply can't afford to lose one day of work solving (or not !) one or two different new problems or regressions for each and every machine you upgrade.

And for the not-so-knowledgeable end-user who was happy with the previous release on his machine and is still discovering Linux, releasing a new distro version where the upgrade will previsibly break what used to work is simply a no-go.

That really makes me worry about the directions Ubuntu takes : since Gutsy I have a several pages list of serious regressions and upgrade issues that surely affect a large proportion of the users base...

Zack Evans (zevans23) wrote :

@Bryce, there are lots of bugs described in the conversation above so far, as follows... so it's a duplicate of several. :)

Musthafa says later on that KDE and Gnome are both affected, so I am inclined to agree that it's not Kubuntu specific, and the UXA hangs/freezes described are part of the wider UXA issue(s).

@Musthafa:
GLXgears is not a benchmark and is misleading in this case for a number of reasons. What sort of framerates do you get in PPracer? But you're right, there are some performance regressions in UXA which we need to get to the bottom of.

@Musthafa,Xavier,Alvin,noisymime,Gnorou,Ace Suares regarding EXA:
You've all said that EXA is too sluggish. The only way it is acceptable for me is if I have put in the "Greedy" fix and ensured that MTRR is set up correctly - have you all done both of those things, because I now find EXA + Greedy + working MTRR acceptable and I get a smoothish 19FPS in ppracer.

If any of you have display corruption under EXA there's probably already a bug open for that regression.

The MTRR stuff is explained in
http://ubuntuforums.org/showthread.php?t=1130582

@Andrew Mason, the difference could be MTRR usage - if you have Jaunty and Fedora on the same box could you post the output of "cat /proc/mtrr" on both OSes - could be that Fedora is getting it right by default, whereas the release version of Jaunty's kernel doesn't for me.

@Bartek,
That might be G35 specific - have you had a look on here for other G35 bugs?

@Wesley, there's a really good explanation of XAA, EXA, and UXA:
http://keithp.com/blogs/Sharpening_the_Intel_Driver_Focus.
XAA doesn't support hardware 3D fully so Mandriva will need to update to at least EXA.

Zack, many thanks for the heads-up. I have already reinstalled
Intrepid and I am not currently thinking of upgrading to Jaunty until
it becomes stable for my everyday use.

If there is any way to test it without installing, I would be very
glad to do it.
Also, I can provide any info needed from my Intrepid installation,
where everything is working great.

> @Musthafa:
> GLXgears is not a benchmark and is misleading in this case for a number of reasons. What sort of framerates do you get in PPracer?

I didn't try the same in Jaunty, but in Intrepid, I am getting 25-45
FPS in ppracer.

> @Musthafa,Xavier,Alvin,noisymime,Gnorou,Ace Suares regarding EXA:
> You've all said that EXA is too sluggish. The only way it is acceptable for me is if I have put in the "Greedy" fix and ensured that MTRR is set up correctly - have you all done both of those things, because I now find EXA + Greedy + working MTRR acceptable and I get a smoothish 19FPS in ppracer.

No, I have tried only the EXA+Greedy and not the MTRR one, which I
didn't know at that time.

What swami said - 'it is completely unacceptable that when performing a version upgrade' - this issue with intel graphcis being basically broken has been known since 9.04 beta, if not well before, and yet Ubuntu went ahead and released it anyway - is this really what not being a LTS release is about ? Then how come Fedora doesn't manage to screw it up so badly ?

Having read http://keithp.com/blogs/Sharpening_the_Intel_Driver_Focus I am even more confused now - it's clear that Ubuntu should not have upgrading *anything* to do with intel graphics untill the guys over there had a chance to finish things up, probably mainly "A minor but important piece of this work is to get UXA running without GEM so that we have EXA-like performance on older kernels" so that UXA can be made the default without kiling performance.
These changes to the intel driver are obviously 'in flight' and should have been postponed to 9.10.

Hindsight is always 20:20, right?

sonicsteve (sonic-yfc) wrote :

I'm running 9.04 on an Asus with the 945G chip. I had to revert to Intrepids driver to make thing acceptable. I'm with all the others on this one who think that this is ridiculous that such a major bug could be released. there is no way this bug should have been allowed to hit production. There are literally millions and millions of computers running some version of Intel graphics. 9.04 is great in every other way but this bug is huge!

> That really makes me worry about the directions Ubuntu takes : since
> Gutsy I have a several pages list of serious regressions and upgrade
> issues that surely affect a large proportion of the users base...

I agree with this, it's becoming a real problem.

Bartek (tschew) wrote :

@Zack: in order to follow the howto to enable mtrr one has to install an unsupported, pre-release kernel, that's not an option in any way, or am I missing something?

@Bartek: Missing :-) You can apply the MTRR fix with or without the unsupported the Kernel. The new Kernel has updated internal gubbins that help on top of the MTRR change.
This is the down side, esp. for distros like Ubuntu who are very allergic to changing kernels more frequently that every 6 months - some bugs in graphics can only be fixed with a new Kernel...

Download full text (5.2 KiB)

Bartek wrote : « in order to follow the howto to enable mtrr one has to install an unsupported, pre-release kernel, that's not an option in any way, or am I missing something? »

I tried this experimental kernel with all the hints from http://ubuntuforums.org/showthread.php?t=1130582, however the 2.6.30 kernel simply won't boot on my system on encrypted LVM...

(I activated tiles)

So I had to revert back to the vanilla kernel, but with the experimental xorg and configuration fixes. On my machine it seemed to solve the Kmail and so on graphics corruption problems I had seen, but on the other hand I get some random "full screen flashes" from time to time, which I didn't have with the original config.

On a performance standpoint, I know glxgears is no reliable indicator, however I had ~575 FPS with the original config, and now see only ~230 FPS with the "fixed" config, so I would suppose that the "fix" divided my display perfs by 2 ??

In xorg.conf, I have:

Section "Device"
        Identifier "Configured Video Device"
        VideoRam 262144
        Option "AccelMethod" "uxa"
        Option "EXAOptimizeMigration" "true"
        Option "MigrationHeuristic" "greedy"
EndSection

(The 2 last entries seemingly ignored if I believe what log says, see below)

In /var/log/Xorg.0.log, I see (some entries I believe that may be of interest):
(==) AIGLX enabled
(==) Matched intel for the autoconfigured driver
(II) Module intel: vendor="X.Org Foundation"
        compiled for 1.6.0, module version = 2.7.99
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 5.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
        i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
        E7221 (i915), 915GM, 945G, 945GM, 945GME, IGD_GM, IGD_G, 965G, G35,
        965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
        Mobile Intel® GM45 Express Chipset,
        Intel Integrated Graphics Device, G45/G43, Q45/Q43, G41
(II) Primary Device is: PCI 00@00:02:0
**) intel(0): Option "AccelMethod" "uxa"
(II) intel(0): Integrated Graphics Chipset: Intel(R) 945GME
(--) intel(0): Chipset: "945GME"
(--) intel(0): Linear framebuffer at 0xD0000000
(--) intel(0): IO registers at addr 0xFBD00000
(WW) intel(0): libpciaccess reported 0 rom size, guessing 64kB
(**) intel(0): Using UXA for acceleration
(II) intel(0): 2 display pipes available.
(II) intel(0): Kernel reported 489216 total, 1 used
(II) intel(0): I830CheckAvailableMemory: 1956860 kB available
drmOpenDevice: node name is /dev/dri/card0
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: drmOpenMinor returns 11
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) intel(0): [DRI2] Setup complete
(**) intel(0): Framebuffer compression enabled
(**) intel(0): Tiling enabled
(**) intel(0): VideoRam: 262144 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(II) intel(0): Tiled allocation successful.
(II) intel(0): adjusting plane->pipe mappings to allow for framebuffer compressi...

Read more...

Bartek (tschew) wrote :

As Tom pointed out, fixing the MTRR range does not require installation of the experimental kernel.

Also, the MTRR fix is (AFAIK) to improve EXA performance (by allowing DRI1 to correctly do write-combining), and you were clearly running UXA as per the log you posted. Also you need to remember that restarting X resets the MTRR ranges.

I'm working on a script to automate the process so that it can be easily included in xinit. (it extracts the base address and memory size and then does the appropriate echo)

As for glxgears, the only thing it indicates is how quickly the framebuffer can be refreshed (as there is no real drawing going on), it doesn't say anything about real-world performance, unless DRI is simply not working and glxgears runs with a framerate below your screen refresh rate. Running OpenGL games or looking at the framerate indicator in KWin are much more accurate measures of real-world performance.

Zack Evans (zevans23) wrote :

Thanks - if you can't boot RC2 that's fair enough, the rest of the info is useful anyway!

Your "random full screen flashes" - are you now getting
"(EE) intel(0): underrun on pipe A!" messages in the log? If so could be worth a look at https://bugs.freedesktop.org/show_bug.cgi?id=19304 - separate bug...

Doesn't work that way with GLXgears, but yes, the currently suggested fixes mostly lose you some performance but gain you some stability. The only way to extract true performance is to get UXA and DRI2 stable, but as you know we're not there yet, we'll have to keep slugging away at the UXA bugs. At least we can: the first set of Windows drivers for my netbook were appalling and there was nothing I could do but wait for an update from the Microsoft gods.

Frame rates in games are a slightly better indicator, so if performance in your favourite game has dropped by half that's more meaningful that GLXgears dropping by half. I bet your game FPS hasn't come down quite so far though?

You are correct,
Option "EXAOptimizeMigration" "true"
Option "MigrationHeuristic" "greedy"
will be ignored if you have turned on UXA.

"(WW) intel(0): drmDropMaster failed: Unknown error 4294967295" is just a known warning you will see with kernels before 2.6.29 (it's to do with enabling DRI on multiple X servers on multiple VTs, which I therefore assume doesn't work on the .28 kernel, in fact I think I remember a bug complaining about that...)

@Bartek: « the MTRR fix is (AFAIK) to improve EXA performance ... and you were clearly running UXA as per the log you posted. »

I don't have a clue about what EXA or UXA are, I'm no graphics drivers expert ;-) I only know that UXA seemed disabled (per Xorg.log) before I applied the suggestions from http://ubuntuforums.org/showthread.php?t=1130582 that enabled it.

But I'm completely clueless about which should provide best performance.

As for MTRRs, the said Howto suggests to run fixmtrr.sh "each time X is restarted" but it doesn't state if it should be run before or after starting X, not what would be the best place to place a call for it. So I haven't used it at all so far... Looks stupid ;-))

@Zack Evans: « are you now getting "(EE) intel(0): underrun on pipe A!" messages in the log? »

No, I haven't seen any such message in X log (nor in .xsession-errors or syslog, I was unsure where to look for it, but it isn't in any of these logs or past logs).

> « if performance in your favourite game has dropped by half that's more meaningful that GLXgears dropping by half. »

Well, I'm no big gamer and play no game at all nor use graphics-intensive apps on this precise machine very often, so I have no "measuring" tool besides glxgears.

I'm actually more concerned by having my KMail toolbar corrupt or tray icons acting up, and I'd rather have a nice desktop with smooth behaviour rather than doing any FPS competition.

I'm also used (it was already the case in Intrepid) to see KDE 4.2 frequently spit messages at me stating « Compositing was too slow and has been disabled. If this was only temporary press [Alt]-[Shift]-[F12] to re-enable it » or some message close to this one.

This most of the times occurs when reordering Firefox tabs with the mouse where I would expect this to be no big deal graphically speaking. It also may occur when the sytem is under heavy CPU load and I shift desktops or open/close/move windows. But this is not really relevant to Jaunty as it already did that in Intrepid.

Bartek (tschew) wrote :

@Swâmi: my apologies, EXA and UXA are different AccelMethods, with UXA being the newer one
if you want to do some performance testing you could install planetpenguin-racer, it gives a much better estimate of what has happened. The reason is not to play games, but simply get these problems fixed, and hopefully get a smooth, artifact free desktop.

Bartek (tschew) wrote :

An attempt at writing an automated script to fix mtrr ranges.

@Bartek : OK, set at 1024x600 (which is my EeePC resolution) full screen and configured to display FPS, playing PlanetPinguin Racer shows me a FPS rate mostly comprised between 3 and 5 __@_/ :-(

I've seen it max to 5.7 for very short periods. Besides this slowness the graphics looks allright and don't show any abnormalities. In the menus mouse cursor jumps by slow saccades...

(Repeating question : When/where fixmtrr.sh should be called ? Before or after X is started ?)

Bartek (tschew) wrote :

fixmtrr.sh should be called just before starting x, even a logout operation resets the MTRR ranges (when using GDM)

I've found that the MTRR fix does not affect performance in the least when run on a system using a display manager for starting X. It seems that the X server is only unable to set the MTRR range itself if it is called by a normal user (eg. using startx), in that case, the MTRR fix has a slight effect on performance on my i915 and g35.

Here are my test results using the 2.6 driver and the 2.4 backport on different configurations on i915 and G35: https://www.hackerspace.lu/wiki/Tracking_intel_performance_regression

Thanks for this document Bartek, I'll take a close look at it.

Now for the fun :

- Upgrading Hardy => Intrepid severly impacted the graphics performance of NVidia cards

- Upgrading Intrepid => Jaunty :
-- Breaks Intel cards driver
-- Completely removes the "fglrx" driver for ATI cards.

So... No NVidia... No Intel... No ATI... What brand of graphics card would be advisable for use with Jaunty ?

It happens that all the desktops I use have NVidia, and all the laptops I use have either NVidia, or ATI, or Intel...

Bartek (tschew) wrote :

My statement about display managers was somewhat wrong: The MTRR fix has an effect on both the G35 and i915 using the 2.4 driver. Using the 2.6 driver, it only has an effect on the older i915 chipset. It does not matter whether the X server is started by GDM or via startx.

Bartek (tschew) on 2009-04-30
tags: added: intel jaunty

Using the experimental PPA packages with UXA acceleration brought me some observations after some hours of use, besides the occasional screen "flashes" I had already reported (I use a "blank scren" screensaver that fires up after 5 minutes):

1/ Once the screensaver blanks the screen, it will sometimes be impossible to resume work. The screen is blank (black) and will remain so. The machine is not hanged as it is still possible to shift to texte console. But X is dead: Even killing X or restarting KDM won't result in anything else than a blank screen until the machine is rebooted.

2/ Suspend to RAM : About half of the times, the KDE session is dead at resume. The machine resumes on KDM login screen.

3/ Logging out the KDE session: Sometimes results in a blank (black) screen where the system doesn't react anymore. Nothing can be done locally except using the kernel's "Magic SysRq" keys. Machine will still be remotely usable using SSH - well, for rebooting it...

So it looks that indeed the cure made things worse :-(

I've installed some new MesaGL updates from PPA this morning, but if it doesn't bring an improvement I'll try reverting back to old Intrepid drivers (wonder if I won't simply restore my system from my last Intrepid backups and trash all that Jaunty Junk :-(

For everything was perfectly stable and working in Intrepid...

Kaustubh (kaustubh-gadkari) wrote :

I was able to fix problem 3 described above by not having the screen locked on resume from sleep.

Download full text (10.2 KiB)

I've just tried using EXA accel instead of UXA with the latest PPA drivers :

- glxgears reports 550-590 FPS with EXA where it would report about 230 FPS with UXA.

- ppracer is smooth and fun with 25-30 FPS with EXA where it would be 3 to 5 FPS with UXA.

- I haven't yet had time to investigate if it has other impacts on system stability or graphics artifacts, but at least the perf gain is huge. Not seen any "screen flash" so far.

- I've noticed a weird scratching and "FFFRRRRRTTTTT !" noise in system speakers during KDE session start, which I had never noticed before, afterwards sound seems to work normally.

- My xorg.conf says :

Section "Device"
        Identifier "Configured Video Device"
        VideoRam 262144
        Option "AccelMethod" "exa"
        Option "EXAOptimizeMigration" "true"
        Option "MigrationHeuristic" "greedy"
EndSection

- I'm calling fixmtrr.sh from /etc/rc.local and /etc/X11/xinit/xserverrc (not sure if KDM uses it or ignores it)

- my X log says (some possibly interesting parts only) :

X.Org X Server 1.6.0
Release Date: 2009-2-25
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-23-server i686 Ubuntu
Current Operating System: Linux xtro 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686
Build Date: 09 April 2009 02:10:02AM
xorg-server 2:1.6.0-0ubuntu14 (<email address hidden>)
(--) PCI:*(0@0:2:0) Intel Corporation Mobile 945GME Express Integrated Graphics Controller rev 3, Mem @ 0xfbd00000/524288, 0xd0000000/268435456, 0xfbcc0000/262144, I/O @ 0x0000dc80/8
(II) Open ACPI successful (/var/run/acpid.socket)
(II) System resource ranges:
        [0] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
        [1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
        [2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
        [3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [4] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [5] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
(==) AIGLX enabled
(II) Matched intel from file name intel.ids
(==) Matched intel for the autoconfigured driver
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
        compiled for 1.6.0, module version = 2.7.99
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 5.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
        i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
        E7221 (i915), 915GM, 945G, 945GM, 945GME, IGD_GM, IGD_G, 965G, G35,
        965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
        Mobile Intel® GM45 Express Chipset,
        Intel Integrated Graphics Device, G45/G43, Q45/Q43, G41
(II) Primary Device is: PCI 00@00:02:0
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
        [1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
        [2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
        [3] -1 0 ...

Looks like my latest reported configuration works good :
- PPA drivers
- EXA config as described above

Getting good performance, haven't seen any graphics artifacts or corruption, apparently survives system suspend/resume with no problem (but only tested 3-4 times).

The exact same config (but without having installed fixmtrr.sh) also seems to work good on a Dell XPS M1330 (Intel GM965) and gives a 20-30 FPS rate in ppracer on this machine.
On the Dell XPS M1330, using original xorg config (after Jaunty update) would produce horrible graphics artifacts in ppracer. Once PPA drivers are installed and xorg.conf is modified, artifacts are gone and graphics looks good, performance acceptable.

Having it working properly for a few hours was probably still too much :-(

A couple hours ago got released to the mirrors "xserver-xorg-video-intel_2%3a2.7.99.1+git20090502.cfb98f3d-0ubuntu0sarvatt2_i386.deb" and this one definitely breaks EXA : xorg does UXA even though EXA is specifically requested in xorg.conf :-(

So even though I specify EXA, now I get UXA back with all its bugs and crappy performance :-(

OK, I have reverted back to "xserver-xorg-video-intel_2%3a2.7.99.1+git20090427.e55d9431-0ubuntu0sarvatt_i386.deb" and EXA is repaired.

Now I "aptitude hold xserver-xorg-video-intel" for being sure to stick to it, and to be completely sure, I removed the PPA repositories from sources.list.

More than tired with this. I'll stick to my current working solution until 9.10 Karmic or when an update comes out stating that the issue is definitely and reliably fixed.

People who'd like to keep using EXA better make sure to stay away from xserver-xorg-video-intel_2%3a2.7.99.1+git20090502.cfb98f3d-0ubuntu0sarvatt2_i386.deb ...

Indeed, the PPA now says:

== WARNING: xserver-xorg-video-intel -
2:2.7.99.1+git20090502.cfb98f3d-0ubuntu0sarvatt2 and newer do not have
EXA/XAA/XvMC support! ==

If you still have the working xorg-server and xserver-xorg-video-intel
packages (and their build rules), could you make them available so we
could set up a specific PPA for Intel users that fixes the issue? I'd
like to try it myself, but now the package is not available anymore.

Just ranting again, but I still think this situation is unacceptable.
I reinstalled from the final Jaunty CD, and even with the provided
driver and effets disabled I still have graphical glitches. So long
for "stability". I am really close from dropping Ubuntu on this one.

@Gnurou : you can still manually download the older packages from http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu/pool/main/x/

> « I am really close from dropping Ubuntu on this one. »

So am I. I'm not sure if any project "head" at Ubuntu/Canonical is aware of the seriousness of such issues and the point to which it can piss off both old Linux sysadmins and I.T. professionals and Linux newcomers.

Myself I spent enough time in the past convincing non-I.T. friends and relatives and friends of friends to "make the big jump" from M$ to Ubuntu, advocating how easy, mature and polished it was. Well... Just spent half of the week-end on the phone and email trying to fix my friend's machines and explain them why their graphics were now crashing, their screen getting black, their video playback sluggish, their games unusable... And that it may get better someday, or not, who knows...

I consider that the recent series of regressions in Ubuntu are quite close to distribution sabotage and I would almost wonder "who gets paid by Krimo$oft for doing this ?"

Who among the distro validators is irresponsible enough to validate for "distribution release" the breaking of Intel graphics drivers, the absence (incompatibility) of ATI fglrx drivers, and so forth ? A desktop machine without decent and working graphics drivers is unusable, period.

Yes I'm ranting again and I know that some readers of this rant will be extremely displeased, but I think it's time for a loud "Wake up guys! Who do you think are Ubuntu users ? What hardware do you believe they use ? What do you think they expect from a dist-upgrade ? Do you believe every Ubuntu users out there has both the competency and time for digging into forums and bug reports, tweak config files with vi in text mode, install experimental packages that may work then may break, just to fix things that used to work and are expected to continue working after upgrading to a supposedly stable distro release ?"

IMHO, these Xorg drivers problems make the whole Jaunty relase good for the trash can (and kill the work and effort of all the developpers of other parts of the distribution).

...and I still see "Importance : Undecided" on top of this bug report...

Even with EXA... Trying for fun to run Hal-Life 2 in Wine, the game starts loading and it ends with a graphics crash while my console displays :

« Mesa 7.4.1 implementation error: i915_program_error: Exceeded max temporary reg
Please report at bugzilla.freedesktop.org »

Swâmi Petaramesh wrote:
> @Gnurou : you can still manually download the older packages from
> http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu/pool/main/x/
>
>> « I am really close from dropping Ubuntu on this one. »
>
> So am I. I'm not sure if any project "head" at Ubuntu/Canonical is aware
> of the seriousness of such issues and the point to which it can piss off
> both old Linux sysadmins and I.T. professionals and Linux newcomers.

I think 'they' are aware, it's not the first time this happens. Viz
recent RAID debacle that made all systems using software raid unbootable
yet it took more then 10 months to fix (it's fixed now). I hoped Mark
Shuttleworth would put something on his blog abou this but no such luck.

I am also an advocate of gnu/linux and more specific Ubuntu - but
sometimes I do feel a really cold shower, and have to try explaining to
people why even tough my laptop has degraded after upgrade to Jaunty, I
still want to recommend Ubuntu as the more promising distro because of
Launchpad and the community in general. I wish this problem would be
addressed at a more global level. It indeed sucks to discuss this in bug
reports, but I can't seem to find a good way to discuss it elsewhere.

I am having an issue with Jaunty on i915. Using Metacity, the CPU gets slowly but surely eaten up with no obvious process eating up the CPU cycles. "top" shows no process taking more than 5-10% CPU time, while the "System Monitor" panel applet shows the CPU at 100% usage, with "IOWait" eating up most of it. When this happens I gradually lose control of the system, where sometimes I can reboot it, while other times it just freezes trying to do it. Most programs stop responding when this happens. Switching to text mode doesn't help as bash can't get enough CPU time to initialize. I can reboot with the Magic SysRq key. I can trigger this easily while on battery, usually within 5-10 minutes of normal usage (browsing, reading PDFs etc).

My question is if this bug is related to the above described symptoms, or is it a completely different bug that's affecting me?

Thanks.

Valentin: I guess this is a different bug - this bug is about
graphical performance and glitches. Your symptoms look very different.

Valentin Neacsu: You should first check if this I/O wait is not caused by hard disk access :

- Make sure the system is not swapping much too much to disk (not enough memory)
- Check your hard disk health: Look for HD error messages in syslog, check disk health with smartmontools...

Gnurou's right : this doesn't look at all like a graphics driver issue, much more like an HD access issue.

salemboot (salemboot) wrote :

Has anybody emailed Mark Shuttlewortth about this catastrophe?
He claims that he is a benevolent dictator. Maybe he will use his power to fix the problem.
To be sure he himself has some insight into the problem. It could also be the case that they
used the old Electronic Arts principle, "Release now and fix later."

Ubuntu seems to wait for upstream fixes. I don't agree with this policy.
I read an article about the guy that is working on the Intel code and he claimed huge
performance increases. I've yet to see them.

--
It's like butter to a biscuit. Doesn't taste quite as good as lard.

salemboot wrote:
> *** This bug is a duplicate of bug 252094 ***
> https://bugs.launchpad.net/bugs/252094
>
> Has anybody emailed Mark Shuttlewortth about this catastrophe?

I emailed him about the RAID debacle. Never got a reaction. But there's
a bigger picture then just an graphics or a RAID bug - it's about
releasing stuff that might not be ready for 'production' and alienates a
lot of users.

> He claims that he is a benevolent dictator. Maybe he will use his power to fix the problem.
> To be sure he himself has some insight into the problem. It could also be the case that they
> used the old Electronic Arts principle, "Release now and fix later."
>
> Ubuntu seems to wait for upstream fixes. I don't agree with this policy.
> I read an article about the guy that is working on the Intel code and he claimed huge
> performance increases. I've yet to see them.
>
>
> --
> It's like butter to a biscuit. Doesn't taste quite as good as lard.
>

unggnu (unggnu) wrote :

@salemboot
What do you want them to do? Enable UXA? This was tested and resulted in many freezes, crashes and other bugs with current -intel driver. Do you really think the Ubuntu team could fix all this bugs on their own?
Intel with Exa mostly works stable in the current driver and this is the important. Who uses Linux for gaming or an Intel graphic card for 3d cad anyway? If Ubuntu had pushed the 2.6.30 Kernel release in Jaunty it would break things for many other users.

So if anybody needs the whole unleashed -intel rendering power in glxgears he could use an older release like Hardy. This is still supported and will be fine until Karmic which will most likely shipped with KMS, UXA and most likely great Intel performance (finally).
I guess for most people Intel driver is fine in Jaunty anyway even with lower glxgears performance and enabled Overlay video output. No one really needs composite to work.

It is not Ubuntus fault if -intel developers decide to dump stable and change the driver internals for two years and make them default shortly after integration.

The problem of a distribution is that most things are dependent on each other so if you decide e.g. not to upgrade X because of the problems with the newer -intel driver other graphic cards might have huge issues which are fixed in latest X. It is not easy to find a balance I guess. That's why there is LTS and a 1.5 years support for every release.

But I agree that X should have two branches, one stable and one experimental. Maybe this will happen with the stabilization of UXA and KMS but I guess they will find new fancy features to integrate and the latest driver will always need the latest X.

@unggnu : « Who uses Linux for gaming or an Intel graphic card for 3d cad anyway? ... No one really needs composite to work. »

Sure. I'm always puzzled by people who say that something can be broken because nobody really needs it to work. That's simply great !

Then I suggest you should fill bugreports for things that work and that people "don't need". They shouldn't work, should they ?

> « I guess for most people Intel driver is fine in Jaunty anyway »

Sure man. This is especially obvious by the end of a bugreport comments thread with 100+ comments where dozens of users loudly complain and state this is unacceptable.

A new concept : Bugreport trolling...

Bryce Harrington (bryce) on 2009-05-04
tags: added: omit
Aleksey (heat-yandex) wrote :

For the first look with UXA everything works fine, but I can't initialize desktop effects (like compiz)

karm@karm:~$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 03)

karm@karm:~$ lsb_release -rd
Description: Ubuntu karmic (development branch)
Release: 9.10

karm@karm:~$ uname -a
Linux karm 2.6.30-5-generic #6-Ubuntu SMP Mon May 11 19:56:30 UTC 2009 i686 GNU/Linux
karm@karm:~$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Mesa DRI Intel(R) 965GM GEM 20090326 2009Q1 RC2 x86/MMX/SSE2

Download full text (3.6 KiB)

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30-rc5/linux-image-2.6.30-020630rc5-generic_2.6.30-020630rc5_i386.deb

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30-rc5/linux-headers-2.6.30-020630rc5_2.6.30-020630rc5_all.deb

19fps in Neverwinter Nights and ut2004 runs smooth as it did in windows vista.

1200+ fps in glxgears

On 5/15/09, Aleksey <email address hidden> wrote:
> *** This bug is a duplicate of bug 252094 ***
> https://bugs.launchpad.net/bugs/252094
>
> For the first look with UXA everything works fine, but I can't
> initialize desktop effects (like compiz)
>
> karm@karm:~$ lspci -nn | grep VGA
> 00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile
> GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 03)
>
> karm@karm:~$ lsb_release -rd
> Description: Ubuntu karmic (development branch)
> Release: 9.10
>
> karm@karm:~$ uname -a
> Linux karm 2.6.30-5-generic #6-Ubuntu SMP Mon May 11 19:56:30 UTC 2009 i686
> GNU/Linux
> karm@karm:~$ glxinfo | grep render
> direct rendering: Yes
> OpenGL renderer string: Mesa DRI Intel(R) 965GM GEM 20090326 2009Q1 RC2
> x86/MMX/SSE2
>
> --
> [i945] (Needs UXA) Kubuntu Jaunty Intel 945 GM - Poor sluggish graphics
> performance in Kate text, etc.
> https://bugs.launchpad.net/bugs/342923
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “kdebase-workspace” source package in Ubuntu: Invalid
> Status in “xserver-xorg-video-intel” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xserver-xorg-video-intel
>
> After upgrading from Intrepid to Jaunty recently, I found that the general
> graphics performance is poor.
>
> * With desktop effects on, window switching & minimize/maximize are horribly
> slow and sluggish. Switching off desktop effects help a bit, but still the
> following problems remain.
> * The screen refresh is very poor and sometimes leaves the traces of other
> windows in the current windows !
> * Selecting text in Kate seems to cause a late refresh and the texts realign
> themselves after selecting - again screen refresh
>
> None of this used to happen in Intrepid with KDE 4.2. Unfortunately, since I
> have upgraded, I couldn't get the log files from Intrepid, where it was
> working fine !
>
> Through ubuntuforums I learnt about UXA. After enabling UXA ('Option
> "AccelMethod" "uxa"' in xorg.conf 'Device' section), all the above problems
> were gone and it worked just fine as in Intrepid !! But there are other
> problems like frequent system freezes and all
> (https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/342675)
> with UXA.
>
> HP/Compaq nc6400 laptop
>
> $ lsb_release -rd
> Description: Ubuntu jaunty (development branch)
> Release: 9.04
>
> $ uname -a
> Linux <hostname> 2.6.28-9-generic #31-Ubuntu SMP Wed Mar 11 15:43:58 UTC
> 2009 i686 GNU/Linux
>
> $ glxinfo | grep render
> get fences failed: -1
> param: 6, val: 0
> direct rendering: Yes
> OpenGL renderer string: Mesa DRI Intel(R) 945GM GEM 20090114 x86/MMX/SSE2
>
> $ lspci -nn | grep VGA
> 00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile
> 945GM/GMS, 943/940GML Express Integrated G...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.